%define realver	%{version}
#define cvsdate	20050420

Summary:	Show x86 CPU information
Name:		x86info
Version:	1.30
Release:	%mkrel 11
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://www.codemonkey.org.uk/projects/x86info/
Source0:	%{name}-%{realver}%{?cvsdate:-%{cvsdate}}.tgz
Patch0:		x86info-1.17-intel-flags.patch
Patch1:		x86info-1.17-intel-caches.patch
Patch2:		x86info-1.17-cpuid-with-ecx-input.patch
Patch3:		x86info-1.17-intel-multicore-htt.patch
Patch4:		x86info-1.17-intel-caches-cpuid4.patch
Patch5:		x86info-1.17-amd-multicore.patch
BuildRequires:	pkgconfig(libpci)

# Will never work on sparc, neither on ppc/alpha...
ExclusiveArch:	%{ix86} x86_64 amd64

%description
Unlike other 'cpuinfo' tools which just parse /proc/cpuinfo, x86info probes
the CPU registers to find out a lot more information. It can discover the
contents of model-specific registers, discover CPU silicon revisions, and
lots more.

%prep
%setup -q -n %{name}-%{realver}

%build
%make_build CFLAGS="%{optflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m755 %{name} %{buildroot}%{_bindir}/
install -m755 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc README TODO COPYING
%{_bindir}/*
%{_mandir}/man1/*






%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.30-11.mga10
+ Revision: 2210907
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 umeabot <umeabot> 1.30-10.mga9
+ Revision: 1825349
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.30-9.mga8
+ Revision: 1518585
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.30-8.mga7
+ Revision: 1301792
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.30-7.mga6
+ Revision: 940495
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30-6.mga5
+ Revision: 740100
- Second Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 1.30-5.mga5
+ Revision: 649703
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 1.30-5.mga4
+ Revision: 520432
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.30-4.mga3
+ Revision: 386408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 matteo <matteo> 1.30-3.mga2
+ Revision: 191932
- license file added as doc; spec file reviewed

* Tue Jan 03 2012 matteo <matteo> 1.30-2.mga2
+ Revision: 189980
- fixed license
- fixed missing make cflags
- bumped release

* Tue Jan 03 2012 matteo <matteo> 1.30-1.mga2
+ Revision: 189967
- version upgrade
- used macros instead of command names

* Wed Apr 13 2011 tv <tv> 1.29-1.mga1
+ Revision: 84175
- pciutils-devel
- BuildRequires: pci-devel
- new release

* Fri Mar 04 2011 ennael <ennael> 1.23-2.mga1
+ Revision: 64313
- imported package x86info


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.23-2mdv2010.0
+ Revision: 445863
- rebuild

* Thu Jan 22 2009 Giuseppe Ghibò <ghibo@mandriva.com> 1.23-1mdv2009.1
+ Revision: 332630
- Release 1.23.
- Disable parallel building (deps errors on some 8 core building host).

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.21-4mdv2009.0
+ Revision: 262227
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.21-3mdv2009.0
+ Revision: 256561
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.21-1mdv2008.1
+ Revision: 113388
- new release

  + Erwan Velu <erwan@mandriva.org>
    - Fixing url


* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 1.20-1mdv2007.0
+ Revision: 122272
- Fix release tag
- New release 1.20
- Import x86info

* Wed Mar 22 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.17-1mdk
- 1.17
- add Intel flags (vmx, sse4, lahf_lm)
- fix Intel caches detection on x86_64
- fix Intel HTT detection and report multicore CPUs
- add generic Intel caches characterisation (cpuid(4))
- add AMD multicore detection

* Thu Oct 13 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.16-1mdk
- 1.16

* Fri Aug 19 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.13b-6mdk
- new AMD revision guide is now public

* Sun Aug 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.13b-5mdk
- 1.13 final + CVS 2005/04/20 for native x86_64 support

* Thu Mar 10 2005 Olivier Thauvin <nanardon@mandrake.org> 1.13b-4mdk
- exclude all arch except i586/amd64

* Sat May 08 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-3mdk
- Newest cvs
- More AMD64 processors supported
- Remove Patch0 (merged upstream)

* Fri Mar 12 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-2mdk
- Oups patch was empty :(

* Fri Mar 12 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-1mdk
- New cvs release (more proc supported)
- Adding HT patch for reading siblings (kernel give better results but that's better than "0")

